<!DOCTYPE html>
<html lang="it" xmlns:th="http://www.w3.org/1999/xhtml">
    <head>
        <meta charset="UTF-8">
        <title>DashBot - Robot View</title>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
              integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
                integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
                crossorigin="anonymous"></script>
    </head>
    <body>
        <nav class="navbar navbar-expand-lg navbar-light bg-light">
            <a class="navbar-brand" href="/">
                <img th:src="@{~/static/images/logo.png}" width="30" height="30" class="d-inline-block align-top" alt="">
                DashBot
            </a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
                    aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav mr-auto">
                    <li class="nav-item">
                        <a class="nav-link disabled" href="#">Hi, Dear User</a>
                    </li>
                </ul>
            </div>
        </nav>
        <div class="text-center mt-4 mb-4"><h3>ROBOT DETAIL</h3></div>

        <!--    CARD WITH BASIC INFO ABOUT THE ROBOT BEING INSPECTED    -->
        <div class="row justify-content-center">
            <div class="col-lg-6 col-md-8 col-sm-12">
                <div th:class="${(robotIR.irValue > 40 ? 'card text-white bg-danger' : 'card text-white bg-success')}">
                    <div class="card-header text-center">Robot #<span th:text="${robotIR.robotId}"></span></div>
                    <div class="card-body">
                        <h5 class="card-title text-center">Success</h5>
                        <p class="card-text text-center">Total Time: <span th:text="${robotIR.totalTime}"></span></p>
                        <p class="card-text text-center">Down Time: <span th:text="${robotIR.downTime}"></span></p>
                        <p class="card-text text-center">Robot IR: <span th:text="${robotIR.irValue}"></span></p>
                    </div>
                </div>
            </div>
        </div>
        <!--    DETAILED INFOS ABOUT ROBOT SIGNALS    -->
        <table style="width:90%; margin-left:5%;" class="table mt-4">
            <tr>
                <th>Laser</th>
                <th>Plate</th>
                <th>Room Temperature</th>
                <th>Room Contamination</th>
                <th>Room Pressure</th>
                <th>Injector Pressure</th>
                <th>Injector Temperature</th>
                <th>Timestamp</th>
            </tr>
            <tr th:each="signal : ${signals}">
                <td th:text="${signal.laser}"></td>
                <td th:text="${signal.plate}"></td>
                <td th:text="${signal.room_temperature}"></td>
                <td th:text="${signal.room_contamination}"></td>
                <td th:text="${signal.room_pressure}"></td>
                <td th:text="${signal.injector_pressure}"></td>
                <td th:text="${signal.injector_temperature}"></td>
                <td th:text="${signal.timestamp}"></td>
            </tr>
        </table>
    </body>
</html>